Passer au contenu principal
PUT
https://{tenantDomain}/api/v2
/
keys
/
signing
/
{kid}
/
revoke
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Keys.Signing.RevokeAsync(
            "kid"
        );
    }

}
{
  "cert": "-----BEGIN CERTIFICATE-----\r\nMIIDDTCCA...YiA0TQhAt8=\r\n-----END CERTIFICATE-----",
  "kid": "21hi274Rp02112mgkUGma"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

kid
string
requis

Key id of the key to revoke

Réponse

Signing key revoked successfully.

cert
string
défaut:-----BEGIN CERTIFICATE----- MIIDDTCCA...YiA0TQhAt8= -----END CERTIFICATE-----
requis

Revoked key certificate

kid
string
défaut:21hi274Rp02112mgkUGma
requis

Revoked key id